xoops forums

Mamba

Moderator
Posted on: 2017/11/22 7:56
Mamba
Mamba (Show more)
Moderator
Posts: 10623
Since: 2004/4/23
#1

PUBLISHER 1.05 FINAL RELEASED

Resized Image
Publisher 1.05 FINAL has been released.

Thanks to everybody who contributed to this release by testing, submitting and fixing bugs.

This module has been updated for XOOPS 2.5.9 and PHP 7.2 RC

DOWNLOAD: https://github.com/XoopsModules25x/publisher/releases

FORK: https://github.com/XoopsModules25x/publisher

TUTORIAL: https://docu.xoops.org/mkdocs/modules/ ... /en/book/2administration/

Bugs Reporting: On this forum in this thread, or on GitHub
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

Bleekk

Theme Designer
Posted on: 2017/11/22 12:19
Bleekk
Bleekk (Show more)
Theme Designer
Posts: 933
Since: 2002/12/14
#2

Re: PUBLISHER 1.05 FINAL RELEASED

Great news!
Thank you all

goffy

Quite a regular
Posted on: 12/8 21:39
goffy
goffy (Show more)
Quite a regular
Posts: 326
Since: 2010/12/27
#3

Re: PUBLISHER 1.05 FINAL RELEASED

XOOPS Version XOOPS 2.5.9
PHP Version 7.0.4

I am testing publisher 1.05 final

during installing I got:
Quote:
Error: Error: Class 'PublisherConfigurator' not found in file /modules/publisher/include/oninstall.php line 73


I solved this with adding
require_once __DIR__ '/../class/configurator.php';

in file /modules/publisher/include/oninstall.php

now installing worked

I tried to clone the module. Now I got
Quote:
Warnung: sprintf(): Too few arguments in Datei /modules/publisher/admin/clone.php Zeile 61

but I am not sure whether this has an effect or not

till now everything works

continue testing

Mamba

Moderator
Posted on: 12/9 10:12
Mamba
Mamba (Show more)
Moderator
Posts: 10623
Since: 2004/4/23
#4

Re: PUBLISHER 1.05 FINAL RELEASED

Try the 1.06 Beta 1 from: https://github.com/mambax7/publisher/releases/
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

goffy

Quite a regular
Posted on: 12/9 11:22
goffy
goffy (Show more)
Quite a regular
Posts: 326
Since: 2010/12/27
#5

Re: PUBLISHER 1.05 FINAL RELEASED

hi mamba

Quote:
Warnung: require_once(/modules/publisher/class/common/VersionChecks.php): failed to open stream: No such file or directory in Datei /modules/publisher/class/Utility.php Zeile 27

goffy

Quite a regular
Posted on: 12/9 14:57
goffy
goffy (Show more)
Quite a regular
Posts: 326
Since: 2010/12/27
#6

Re: PUBLISHER 1.05 FINAL RELEASED

hi

Quote:
Warnung: sprintf(): Too few arguments in Datei /modules/publisher/admin/clone.php Zeile 61


I found the problem, it was the language file, where _AM_PUBLISHER_CLONE_CONGRAT was defined with wrong number of arguments

Mamba

Moderator
Posted on: 12/9 15:11
Mamba
Mamba (Show more)
Moderator
Posts: 10623
Since: 2004/4/23
#7

Re: PUBLISHER 1.05 FINAL RELEASED

Quote:
I found the problem, it was the language file

The English or German language file?

Quote:
Warnung: require_once(/modules/publisher/class/common/VersionChecks.php): failed to open stream: No such file or directory in Datei /modules/publisher/class/Utility.php Zeile 27

The missing VersionCheck files have been now added to 1.06 Beta 2: https://github.com/mambax7/publisher/releases
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

goffy

Quite a regular
Posted on: 12/9 15:44
goffy
goffy (Show more)
Quite a regular
Posts: 326
Since: 2010/12/27
#8

Re: PUBLISHER 1.05 FINAL RELEASED

Quote:
Quote:

I found the problem, it was the language file


The English or German language file?


the german one

goffy

Quite a regular
Posted on: 12/9 15:48
goffy
goffy (Show more)
Quite a regular
Posts: 326
Since: 2010/12/27
#9

Re: PUBLISHER 1.05 FINAL RELEASED

the options in publisher are not shown in the right way
Resized Image


I do not know whether this is from publisher or from xoops core?

Mamba

Moderator
Posted on: 12/9 17:44
Mamba
Mamba (Show more)
Moderator
Posts: 10623
Since: 2004/4/23
#10

Re: PUBLISHER 1.05 FINAL RELEASED

Quote:
the options in publisher are not shown in the right way

Most probably with your German version of XOOPS, because I don't have it here.
What PHP version are you using, and what Admin theme?
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs